import { request } from "@/http/axios"

/** 查 */
export function findAllshovel() {
  return request({
    url: "/dicekeShovel/findAllShovel",
    method: "get"
  })
}

/** 删 */
export function deleteTableDataApi(id: number) {
  return request({
    url: `/dicekeShovel/deleteShovel/${id}`,
    method: "delete"
  })
}

/** 根据id查询电铲信息 */
export function findShovelById(id: number) {
  return request({
    url: `/dicekeShovel/findShovelById/${id}`,
    method: "get"
  })
}

/** 修改电铲信息 */
export function updateshovelApi(shovelform: any) {
  return request({
    url: `/dicekeShovel/updateShovel`,
    method: "post",
    data: shovelform
  })
}

export function addShovelApi(shovelform: any) {
  return request({
    url: `/dicekeShovel/addShovel`,
    method: "post",
    data: shovelform
  })
}
